﻿:root {
    --room-background: blanchedalmond;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    background-color: linen;
    overflow-x: hidden
}

/* Sverride thead max size of bootstrap responsive container */
/*.container-lg {
    max-width: 1600px;
}*/

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
    padding-bottom: 20px;
    flex-grow: 1;
}

    .body-content * {
        box-sizing: border-box;
    }

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

.navbar {
    padding: 8px 50px;
    box-sizing: border-box;
}

#navbarItems {
    justify-content: flex-end;
}

footer {
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
}

    footer > p {
        margin: 1em;
    }

/**************************/
/* Index page (room list) */
/**************************/
.filter-box {
    box-shadow: 0 1px 3px 1px black;
    padding: 20px;
    margin-top: 10px;
    margin-bottom: 20px;
}

#search-filter-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-bottom: 30px;
}

    #search-filter-container > .filter-group {
        width: 30%;
    }

.filter-value {
    border: 0;
    color: #f6931f;
    font-weight: bold;
}

.rooms-and-filter-container {
    display: flex;
    flex-direction: column;
}

.room {
    /*background-repeat: no-repeat;
    background-size: auto 130%;
    background-position-x: right;*/
    position: relative;
    padding: 20px;
    background-color: var(--room-background);
    box-shadow: 0 3px 3px 0px black, 0 -1px 3px 0 black;
    margin: 10px 0;
}

    .room > * {
        position: relative;
        z-index: 1;
        max-width: 60%;
    }

    .room > a, .room > span {
        display: inline-block;
    }

    .room > .name {
        font-size: 40px;
        font-weight: bold;
        color: firebrick;
        text-decoration: none;
    }

        .room > .name:hover {
            text-decoration: none;
        }

    .room > .description {
        font-size: 24px;
    }

    .room > .details {
        margin: 20px 0;
        display: grid;
        grid-template-rows: 1fr 1fr;
        grid-template-columns: repeat(3, max-content);
        grid-column-gap: 2em;
        grid-auto-flow: column;
        font-size: 16px;
        font-weight: bold;
    }

    .room > .image {
        display: block;
        position: absolute;
        z-index: 0;
        right: 0;
        top: 0;
        height: 100%;
        width: 42%;
        background-repeat: no-repeat;
        background-position: 50% 50%;
        background-size: cover;
    }

        .room > .image::before,
        .room > .image::after {
            content: '';
            position: absolute;
            top: 0;
            height: 100%;
            width: 80px;
        }

        .room > .image::before {
            left: 0;
            background: linear-gradient(to right, var(--room-background) 0%, rgba(0,0,0,0) 100%);
        }

        .room > .image::after {
            right: 0;
            background: linear-gradient(to right, rgba(0,0,0,0) 0%, var(--room-background) 100%);
        }

    .room .btn-container {
        display: flex;
    }

        .room .btn-container .btn {
            margin-right: 10px;
            flex-shrink: 0;
        }


.room-details {
    display: flex;
    flex-direction: column;
    align-items: center;
}

    .room-details > header {
        width: 100vw;
        height: 300px;
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        overflow: hidden;
    }

        .room-details > header > .bg {
            position: absolute;
            background-repeat: no-repeat;
            background-size: cover;
            background-position: 50% 10%;
            filter: blur(2px) brightness(80%);
            width: calc(100% + 10px);
            height: calc(100% + 10px);
        }

        .room-details > header > .room-name {
            position: relative;
            font-size: 60px;
            font-weight: bold;
            color: whitesmoke;
            text-shadow: 1px 1px 4px #373737, -1px -1px 4px #373737;
            max-width: 50%;
        }

    .room-details > .info {
        width: 100%;
        margin-top: 50px;
        margin-bottom: 60px;
        padding: 10px 0;
        display: grid;
        grid-template-columns: 300px 1fr auto;
        grid-column-gap: 20px;
    }

    .room-details .gallery .container {
        padding: 0;
        display: grid;
        grid-gap: 10px;
        grid-template-columns: auto auto;
        align-items: end;
    }

    .room-details .gallery img {
        max-width: 140px;
    }

    .room-details .details {
        display: flex;
        flex-direction: column;
    }

    .room-details .details-item {
        display: grid;
        grid-template-areas: "icon head" "icon value";
        grid-column-gap: 10px;
        grid-template-columns: 50px auto;
        align-items: center;
        margin-bottom: 30px;
    }

    .room-details i {
        grid-area: icon;
        font-size: 50px;
        color: #bf8a0d;
    }

    .room-details .title {
        font-weight: bold;
        grid-area: head;
        padding-top: 5px;
    }

    .room-details .value {
        grid-area: value;
        padding-bottom: 5px;
    }

.admin-panel {
    display: flex;
    flex-direction: column;
    position: relative;
}

.btn-float-container {
    pointer-events: none;
    position: absolute;
    height: 100%;
    width: 100vw;
    align-self: center;
    z-index: 100;
    display: flex;
    justify-content: flex-end;
    align-items: baseline;
}

.btn-float {
    pointer-events: initial;
    position: sticky;
    box-shadow: 1px 1px 3px 1px black;
    top: 10px;
    right: 10px;
    margin-top: 10px;
    margin-right: 10px;
}

a.undecorated-link {
    color: inherit;
    text-decoration: none;
}

    a.undecorated-link:hover {
        color: inherit;
        text-decoration: none;
    }


/**************************/
/*** Carousel           ***/
/**************************/
#top-rooms-carousel .carousel-image-container {
    height: 500px;
    max-height: 100vh;
}

#top-rooms-carousel .carousel-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.carousel .carousel-control-prev,
.carousel .carousel-control-next {
    opacity: 0;
}

.carousel:hover .carousel-control-prev,
.carousel:hover .carousel-control-next {
    opacity: 0.5;
}

.carousel .carousel-control-prev {
    background: linear-gradient(90deg, rgba(0,0,0,1) 0%, rgba(255,255,255,0) 100%);
}

.carousel .carousel-control-next {
    background: linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(0,0,0,1) 100%);
}

    .carousel .carousel-control-prev:hover,
    .carousel .carousel-control-next:hover {
        opacity: 0.9;
    }

.carousel-caption {
    text-shadow: 1px 1px 4px black;
}
